=== debian/changelog ===
nvme-cli (0.5-1ubuntu0.2) xenial; urgency=medium

  * d/p/0003-Remove-version-from-list.patch:
    Backported from upstream to fix display of information v1.0 m.2
    drives. (LP: #1704817)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Fri, 14 Jul 2017 22:08:23 -0500

nvme-cli (0.5-1ubuntu0.1) xenial; urgency=medium

  * d/p/0001-Fix-the-bug-of-Model-Number-and-display-the-info-of-.patch,
    d/p/0002-Fix-the-bug-of-Model-Number-and-display-the-info-of-.patch:
    cherry-pick patches from upstream to fix display of information for
    devices with long names.  LP: #1595274.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Oct 2016 17:21:59 -0700

nvme-cli (0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix version number (Closes: #816438)
  * Bump Standard-Version to 3.9.7, no changes required.
  * drop 0004-Fix-English-typos-only.patch: upstream.

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 22 Mar 2016 10:43:12 -0400

nvme-cli (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #810033)

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 05 Jan 2016 14:40:05 -0500
