=== debian/control ===
Source: nvme-cli
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Breno Leitao <brenohl@br.ibm.com>
Section: admin
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9), libudev-dev
Homepage: https://github.com/linux-nvme/nvme-cli

Package: nvme-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace tooling to control NVMe drives
 NVMe is a fast, scalable, direct attached storage interface, accessing
 solid state drives through PCIe.
 .
 The nvme CLI contains core management tools with minimal dependencies.
