## nvme-cli 0.7

=== debian/changelog ===
nvme-cli (0.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standard-Version to 3.9.8, no changes required.

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 21 Jun 2016 16:32:22 -0400
