=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: nvme-cli
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Breno Leitao <brenohl@br.ibm.com>
+Maintainer: Breno Leitao <brenohl@br.ibm.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libudev-dev
 Homepage: https://github.com/linux-nvme/nvme-cli
