=== debian/changelog ===
nvme-cli (0.8-2) unstable; urgency=medium

  * Add a patch to enable nvme-cli to compile on 32 bits system (Thanks Steve
    Langasek) (Closes: #830521)

 -- Breno Leitao <brenohl@br.ibm.com>  Mon, 11 Jul 2016 12:48:11 -0400

nvme-cli (0.8-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <brenohl@br.ibm.com>  Sun, 03 Jul 2016 07:12:26 -0400
