=== debian/changelog ===
nvme-cli (0.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Wed, 07 Dec 2016 09:38:31 +0800

nvme-cli (0.9-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Thu, 06 Oct 2016 13:03:59 -0400
