=== debian/changelog ===
nvme-cli (1.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Fri, 03 Feb 2017 08:11:53 +0800

nvme-cli (1.0-3) unstable; urgency=medium

  * Last commit didn't fix all the problem for 32-bits archs.
    Fixing it properly now. (Closes: #847232) 

 -- Breno Leitao <leitao@debian.org>  Wed, 14 Dec 2016 07:51:29 -0500

nvme-cli (1.0-2) unstable; urgency=medium

  * Fix FTBFS in 32-bits arch. (Closes: #847232)

 -- Breno Leitao <leitao@debian.org>  Tue, 13 Dec 2016 08:31:42 -0500

nvme-cli (1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Breno Leitao <leitao@debian.org>  Thu, 24 Nov 2016 15:15:28 -0500
