=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: nvme-cli
-Maintainer: Breno Leitao <brenohl@br.ibm.com>
+Maintainer: Breno Leitao <leitao@debian.org>
 Section: admin
 Priority: optional
 Standards-Version: 3.9.8
