## nvme-cli 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-CFLAGS += -std=gnu99 -O2 -g -Wall -Werror
+CFLAGS ?= -O2 -g -Wall -Werror
+CFLAGS += -std=gnu99
 CPPFLAGS += -D_GNU_SOURCE -D__CHECK_ENDIAN__
 NVME = nvme
 INSTALL ?= install
@@ -6,7 +7,6 @@
 PREFIX ?= /usr/local
 SYSCONFDIR = /etc
 SBINDIR = $(PREFIX)/sbin
-LIBUDEV := $(shell ld -o /dev/null -ludev >/dev/null 2>&1; echo $$?)
 LIB_DEPENDS =
 
 RPMBUILD = rpmbuild
@@ -14,12 +14,6 @@
 RM = rm -f
 
 AUTHOR=Keith Busch <keith.busch@intel.com>
-
-ifeq ($(LIBUDEV),0)
-	override LDFLAGS += -ludev
-	override CFLAGS  += -DLIBUDEV_EXISTS
-	override LIB_DEPENDS += udev
-endif
 
 default: $(NVME)
 
@@ -45,6 +39,9 @@
 
 doc: $(NVME)
 	$(MAKE) -C Documentation
+
+test:
+	$(MAKE) -C tests/ run
 
 all: doc
 
@@ -136,4 +133,4 @@
 	$(RPMBUILD) -ta nvme-$(NVME_VERSION).tar.gz
 
 .PHONY: default doc all clean clobber install-man install-bin install
-.PHONY: dist pkg dist-orig deb deb-light rpm FORCE
+.PHONY: dist pkg dist-orig deb deb-light rpm FORCE test
