=== debian/changelog ===
nvme-cli (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 06 Feb 2017 08:20:45 -0500
