=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libudev-dev
+Build-Depends: debhelper (>= 9), libudev-dev, python-nose
 Homepage: https://github.com/linux-nvme/nvme-cli
 
 Package: nvme-cli
