## nvme-cli 1.3

=== debian/changelog ===
nvme-cli (1.3-1) unstable; urgency=medium

  * New upstream release. Thanks Rodrigo R. Galvão <rosattig@br.ibm.com> 

 -- Breno Leitao <leitao@debian.org>  Wed, 14 Jun 2017 16:36:20 -0300
