=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: nvme-cli
+Uploaders: Rodrigo R. Galvao <rosattig@br.ibm.com>
 Maintainer: Breno Leitao <leitao@debian.org>
 Section: admin
 Priority: optional
