=== Documentation/Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 endif
 
 DESTDIR =
-PREFIX := /usr/local
+PREFIX ?= /usr/local
 
 all: man html
