=== debian/changelog ===
nvme-cli (1.5-1ubuntu1.2) bionic; urgency=medium

  * d/p/Fix-bash-completion.patch:
    - Move bash completion files to correct location (LP: #1800544)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 24 Nov 2021 12:37:26 +0000

nvme-cli (1.5-1ubuntu1.1) bionic; urgency=medium

  * d/control, d/nvme-cli.postinst:
    - add uuid-dev build dep so 'gen-hostnqn' command works
    - add uuid-runtime dep as postinst calls uuidgen
    - generate /etc/nvme/hostid and hostnqn files during install
      (LP: #1867366)

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 31 Aug 2020 17:54:07 -0400

nvme-cli (1.5-1ubuntu1) bionic; urgency=medium

  * debian/patches/Add-support-for-Micron-plugin.patch:
    - Add upstream patch to enable support for Micron NVMe devices,
      specifically enabling the feature to update firmware. (LP: #1838555)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Sat, 05 Oct 2019 23:26:53 -0500

nvme-cli (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 29 Jan 2018 12:59:02 -0500

nvme-cli (1.4-1) unstable; urgency=medium

  * New upstream release
  * Standard Version upgraded to 4.0.1

 -- Breno Leitao <leitao@debian.org>  Mon, 02 Oct 2017 08:27:23 -0400
