=== debian/control ===
Source: nvme-cli
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Breno Leitao <leitao@debian.org>
Section: admin
Priority: optional
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 9), libudev-dev, python-nose, uuid-dev
Homepage: https://github.com/linux-nvme/nvme-cli

Package: nvme-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uuid-runtime
Description: userspace tooling to control NVMe drives
 NVMe is a fast, scalable, direct attached storage interface, accessing
 solid state drives through PCIe.
 .
 The nvme CLI contains core management tools with minimal dependencies.
