## nvme-cli 1.6

=== debian/changelog ===
nvme-cli (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 06 Aug 2018 12:12:32 -0400
