=== debian/changelog ===
nvme-cli (1.7-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 21 Jan 2019 06:25:35 -0500
