## nvme-cli 1.9

=== debian/changelog ===
nvme-cli (1.9-1ubuntu0.2) focal; urgency=medium

  * NVMe show-regs command forcibly reboots ARM-based VM (LP: #2072381)
    - d/p/lp2072381-0001-Avoid-using-unsupported-load-store-instruct.patch

 -- Chengen Du <chengen.du@canonical.com>  Sat, 06 Jul 2024 04:02:39 +0000

nvme-cli (1.9-1ubuntu0.1) focal; urgency=medium

  * d/control, d/rules, d/nvme-cli.postinst, d/nvme-cli.maintscript:
    - wrap-and-sort -ast
    - add uuid-dev build dep so 'gen-hostnqn' command works
    - add uuid-runtime as postinst may call uuidgen
    - generate /etc/nvme/host* files at install not build (LP: #1867366)

 -- Dan Streetman <ddstreet@canonical.com>  Sun, 06 Sep 2020 22:11:24 -0400

nvme-cli (1.9-1) unstable; urgency=medium

  * New upstream release 
  * Fixed dependencies (Closes: #944832) 

 --  Breno Leitao <leitao@debian.org>  Sat, 23 Nov 2019 13:40:40 +0000
