=== debian/control ===
--- 
+++ 
@@ -4,12 +4,21 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 9), libudev-dev, python-nose, uuid-dev
+Build-Depends:
+ debhelper (>= 9),
+ libudev-dev,
+ pci.ids,
+ python3-nose,
+ uuid-dev,
+ uuid-runtime,
 Homepage: https://github.com/linux-nvme/nvme-cli
 
 Package: nvme-cli
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, uuid-runtime
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ uuid-runtime,
 Description: userspace tooling to control NVMe drives
  NVMe is a fast, scalable, direct attached storage interface, accessing
  solid state drives through PCIe.
