=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	# Remove build-time unique id files, instead these will be
	# generated by the postinst script
	rm -f debian/nvme-cli/etc/nvme/hostid
	rm -f debian/nvme-cli/etc/nvme/hostnqn

override_dh_auto_test:
	# Overriding auto test, since the tests require that the build machine
	# has a NVME device.
