=== debian/changelog ===
nvme-cli (1.12-5) unstable; urgency=medium

  * Add uuid-runtime as dependency. (Closes: #970637)

 --  <leitao@debian.org>  Tue, 22 Sep 2020 20:37:51 +0100

nvme-cli (1.12-4) unstable; urgency=medium

  * Fix udev rules and config files. Thanks intrigeri (Closes: #968769)
  * Remove debian/package.bash-completion (Closes: #969345)

 --  <leitao@debian.org>  Sun, 20 Sep 2020 10:39:01 +0100

nvme-cli (1.12-3) unstable; urgency=medium

  * Bring debhelper compat to 13 and fix build deps (Closes: ##969183)

 --  <leitao@debian.org>  Sun, 20 Sep 2020 10:23:14 +0100

nvme-cli (1.12-2) unstable; urgency=medium

  *  Generate /etc/nvme/host* files at install time, not build time.
     Thanks Dan for the patch. (Closes: #969340)

 --  <leitao@debian.org>  Sun, 20 Sep 2020 10:14:36 +0100

nvme-cli (1.12-1) unstable; urgency=medium

  * New upstream release.

 --  <leit@debian.org>  Sat, 20 Jun 2020 09:27:22 +0100
