=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: nvme-cli
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Breno Leitao <leitao@debian.org>
+Maintainer: Breno Leitao <leitao@debian.org>
 Section: admin
 Priority: optional
 Standards-Version: 4.1.1
 Build-Depends:
- debhelper (>= 9),
- libudev-dev,
+ debhelper-compat (= 13),
  pci.ids,
- python3-nose,
+ pkg-config,
  uuid-dev,
  uuid-runtime,
 Homepage: https://github.com/linux-nvme/nvme-cli
