=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,12 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr UDEVDIR=/lib/udev
 	# Remove build-time unique id files, instead these will be
 	# generated by the postinst script
 	rm -f debian/nvme-cli/etc/nvme/hostid
 	rm -f debian/nvme-cli/etc/nvme/hostnqn
+	rm -f debian/nvme-cli/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf
 
 override_dh_auto_test:
 	# Overriding auto test, since the tests require that the build machine
