## nvme-cli 1.14

=== debian/changelog ===
nvme-cli (1.14-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.14:
    - fixes bug that can cause some Samsung controllers to go
      offline (Closes: #989840).
  * Removing whitespaces at EOL.
  * Correcting name entries in changelog.
  * Adding vcs fields.
  * Updating to standards version 4.5.1.
  * Adding rules-requires-root field.
  * Repeating section for binary packages in control for consistency
    reasons.
  * Updating format url in copyright.
  * Updating source url in copyright.
  * Adding upstream-name in copyright.
  * Adding upstream-contact in copyright.
  * Updating year in copyright.
  * Using default GPL license blocks in copyright.
  * Making postinst executable in source tree.
  * Rewriting postinst with the standard maintainer script.
  * Removing spurious bash-completion file in source tree.
  * Harmonizing rules file.
  * Removing spurious source/include-binaries file (Closes: #944833).
  * Updating watch file to version 4.
  * Wrap and sorting debian directory.
  * Updating package description.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Jul 2021 23:08:03 +0200

nvme-cli (1.12-8) unstable; urgency=medium

  * Adopting package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Jul 2021 22:41:27 +0200

nvme-cli (1.12-7) unstable; urgency=medium

  * Orphaning the package

 -- Breno Leitao <leitao@debian.org>  Fri, 02 Jul 2021 19:37:48 +0100
