=== debian/control ===
Source: nvme-cli
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 pci.ids,
 pkg-config,
 uuid-dev,
 uuid-runtime,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linux-nvme/nvme-cli
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli

Package: nvme-cli
Section: admin
Architecture: any
Depends:
 uuid-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: NVMe management tool
 NVM Express (NVMe) is a interface specification for accessing non-volatile
 storage media, typically modern solid state drives (SSDs) through PCI Express
 (PCIe).
 .
 The nvme-cli tool provides management functions for these devices.
