=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr UDEVDIR=/lib/udev

	# removing unique files
	rm -f debian/nvme-cli/etc/nvme/hostid
	rm -f debian/nvme-cli/etc/nvme/hostnqn
	rm -f debian/nvme-cli/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

override_dh_auto_test:
	# disabled, requires a NVMe device
