=== debian/changelog ===
nvme-cli (1.16-3build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:43 +0100

nvme-cli (1.16-3) sid; urgency=medium

  * Uploading to sid.
  * Building with uuid-dev to pull in libuuid1 depends in again (Closes:
    #1002890).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 07:32:56 +0100

nvme-cli (1.16-2) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file to use github tags instead of releases.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Dec 2021 19:22:25 +0100

nvme-cli (1.16-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.16.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Nov 2021 08:04:50 +0100

nvme-cli (1.15-4) sid; urgency=medium

  * Uploading to sid.
  * Reuploading with udeb again, as subsequent uploads are also blocked by
    NEW.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:49:12 +0200

nvme-cli (1.15-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Disabling udeb for now to workaround 0.15 being stuck in NEW for the
    past 10 weeks.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:44:45 +0200

nvme-cli (1.15-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:45:13 +0200

nvme-cli (1.15-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.15.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Aug 2021 14:01:16 +0200

nvme-cli (1.14-4) experimental; urgency=medium

  * Uploading to experimental.
  * Adding nvme-udeb (Closes: #982917).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 07:41:12 +0200

nvme-cli (1.14-3) experimental; urgency=medium

  * Uploading to experimental.
  * Avoid shipping unused, empty directories for dracut.
  * Adding forgotten continuation dots for LGPL-block in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 07:20:03 +0200

nvme-cli (1.14-2) experimental; urgency=medium

  * Uploading to experimental.
  * Removing generated files on purge.
  * Completing and correcting debian/copyright.
  * Removing obsolete settings for newer systemd versions.
  * Removing unneeded build-depends.
  * Adding pci.ids to recommends as it's used by some of the plugins.
  * Correcting location of the NVMe-oF systemd service files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 06:56:57 +0200
