=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvme-cli-$1\.tar\.gz/ \
https://github.com/linux-nvme/nvme-cli/tags .*/v?(\d\S+)\.tar\.gz
